This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444848 - Kpowersave: can't select powersave cpu frequency policy
Kpowersave: can't select powersave cpu frequency policy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpowersave (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 23:42 EDT by Chris Schanzle
Modified: 2009-03-19 15:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 15:49:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2008-04-30 23:42:43 EDT
Hi - Attempting to select powersave cpu frequency policy fails in KDE with
kpowersave.  Get error:  WARNING: CPU Freq Policy Powersave could not be set.

Cause: cpufreq_powersave kernel module is not loaded.

Workaround:  sudo modprobe cpufreq_powersave

Why is cpufreq_powersave built as a module when _performance and _userspace are
built-in?


Additional Info:  

$ grep CPU_FREQ_GOV /lib/modules/`uname -r`/build/.config
CONFIG_CPU_FREQ_GOV_PERFORMANCE=y
CONFIG_CPU_FREQ_GOV_POWERSAVE=m
CONFIG_CPU_FREQ_GOV_USERSPACE=y
CONFIG_CPU_FREQ_GOV_ONDEMAND=m
CONFIG_CPU_FREQ_GOV_CONSERVATIVE=m

Problem happens with both kernels:
$ rpm -q kernel
kernel-2.6.24.4-64.fc8.i686
kernel-2.6.24.5-85.fc8.i686

System is a Dell Inspiron 8200.

$ cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Mobile Intel(R) Pentium(R) 4 - M CPU 1.80GHz
stepping        : 7
cpu MHz         : 1800.000
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe up pebs bts sync_rdtsc cid
bogomips        : 3590.99
clflush size    : 64
Comment 1 Rex Dieter 2008-05-01 09:09:36 EDT
> Why is cpufreq_powersave built as a module when _performance and _userspace 
> are built-in?

excellent question, better asked of kernel devs.

Not sure what kpowersave can do about cpufreq_powersave not being loaded.
Comment 2 Chris Schanzle 2008-05-01 10:38:33 EDT
(In reply to comment #1)
> > Why is cpufreq_powersave built as a module when _performance and _userspace 
> > are built-in?
> 
> excellent question, better asked of kernel devs.

That's why I filed under kernel...is this not the place to ask their input?

> Not sure what kpowersave can do about cpufreq_powersave not being loaded.

As an unprivileged user-space tool, I didn't think it could or should, which is
why I filed under kernel rather than kpowersave.

Thanks!
Comment 3 Rex Dieter 2008-05-01 10:46:13 EDT
> That's why I filed under kernel

Umm, no, Component = kpowersave

I can reassign it if you want. :)
Comment 4 Chris Schanzle 2008-05-01 12:22:32 EDT
oops, under kpowersave was my initial selection, but I'm sure I changed it
before clicking 'save changes', oh well, I think I may have done it (if not,
please do).
Comment 5 Rex Dieter 2008-05-01 12:38:51 EDT
Thanks, we'll see what the kind kernel folks have to say.
Comment 6 Dave Jones 2008-05-01 13:02:07 EDT
first, kpowersave shouldn't be blindly assuming that powersave is available. It
should only offer the governors that are available under
/sys/devices/system/cpu/cpu*/cpufreq/scaling_available_governors
For this reason, I'm reassigning this back to kpowersave, as this is a bug that
should be fixed.

As for why it's not-builtin..  Think about what happens when its built in whilst
you're booting up, and immediately the cpu goes to power save mode.  Suddenly
we're taking longer to boot up for no good reason.
The powersave governor isn't universally useful, it has some corner cases where
it's useful where the user knows better than say, ondemand, but in the general
case, it shouldn't be used.

performance is built in because, well it makes no difference.
userspace is built in because until it's configured by userspace scripts to do
something, it also makes no difference.
Comment 7 Rex Dieter 2008-05-01 13:45:23 EDT
thx! /sys/devices/system/cpu/cpu*/cpufreq/scaling_available_governors looks like
a winner.
Comment 8 Chris Schanzle 2008-05-01 16:10:35 EDT
Thanks, Rex.  As you code around this, please try to give the user a clue that
if they load cpufreq_powersave, they will have additional functionality - i.e.,
don't just remove the menu item... maybe leave them grayed out?  And while
you're rootin' 'round in there, how about supporting cpufreq_conservative, or
any governor that's in scaling_available_governors?  Thanks!
Comment 9 Julian G 2008-11-26 04:58:18 EST
The problem seems to still exist in Fedora 10. Before I was using Kubuntu 8.10 which supports powersave which gave me about 30 min more battery time.

I think it would be a good thing to load this module default but not use it as default governor.
Comment 10 Bug Zapper 2008-11-26 05:37:00 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Rex Dieter 2008-11-26 08:48:08 EST
Reassigning -> F10.  

Fwiw, I'd recommend not using kpowersave anymore, kde(4) on F9/F10 uses guidance-power-manager by default now.
Comment 12 Julian G 2008-11-26 13:55:57 EST
I'm using guidance-power-manager but I'm not able to select the "powersave" profile until I load it manually through modprobe cpufreq_powersave before login.
Comment 13 Julian G 2008-12-20 20:55:13 EST
Well I think this bug can be closed as "wontfix".
Comment 14 Dennis Gilmore 2009-03-19 15:49:25 EDT
closing wontfix  kpowersave has been dropped in favour of other options

Note You need to log in before you can comment on or make changes to this bug.